<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<object-views xmlns="http://axelor.com/xml/ns/object-views" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://axelor.com/xml/ns/object-views http://axelor.com/xml/ns/object-views/object-views_5.2.xsd">

	<form name="art-work-form" title="Art work" model="com.axelor.apps.quality.db.ArtWork">
        <toolbar>
          <button name="printBtn" title="Print" readonlyIf="!id" icon="fa-print" onClick="com.axelor.apps.quality.web.ArtWorkController:printQualityControl"/>
        </toolbar>
        <panel>
                <field name="statusSelect" showTitle="false" readonly="true" colSpan="12" widget="nav-select" default="1"/>
        </panel>
        <panel title="Overview">
          
          <field name="ref"/>
          <field name="product"/>
          <field name="artWorkType"/>
          <field name="artWorkFile" widget="binary-link"/>
          <field name="textColor"/>
          <field name="dimensions"/>
          <field name="varnishing"/>
          <field name="printingSupport"/>
          <field name="weight"/>
          <field name="diameter"/>
          <field name="nature"/>
          <field name="direction"/>
          <field name="company"/>
          <field name="printingSettings"/>
        </panel>
        <panel-related field="accessConfigList" target="com.axelor.apps.base.db.AccessConfig">
          <field name="name"/>
        </panel-related>
        <panel-related field="dependsOnSet" target="com.axelor.apps.base.db.App">
          <field name="name"/>
        </panel-related>
        <panel name="actionsPanel" sidebar="true">
          <button name="prepareBtn" title="Graphic Designer Approval" onClick="save,action-importation-folder-record-preparation,save"/>
          <button name="openedBtn" title="Regulatory Affaires Approval" onClick="save,action-importation-folder-record-entamee,save"/>
          <button name="validationCoaBtn" title="Quality Control Approval" onClick="save,action-purchase-importation-folder-validation-coa,save,action-whatsapp-logistics" />
          <button name="logisticBtn" title="Quality Assurance Approval" onClick="save,action-importation-folder-record-logistique,save"/>
          <button name="logisticBtn" css-btn="info" title="New version" onClick="save"/>
        </panel>
        <panel sidebar="true">
         <field name="firstDate"/>
          <field name="firstApprovedByUser"/>
          <field name="secondDate"/>
          <field name="secondApprovedByUser"/>
          <field name="thirdApprovedByUser"/>
          <field name="thirdDate"/>
          <field name="fourthApprovedByUser"/>
          <field name="fourthtDate"/>
        </panel>
          <panel-mail>
          <mail-messages limit="4"/>
          <mail-followers/>
        </panel-mail>
      </form>

      
      <grid name="art-work-grid" title="Art works" model="com.axelor.apps.quality.db.ArtWork" edit-icon="true">
        <field name="ref"/>
        <field name="product"/>
        <field name="artWorkType"/>
        <field name="firstDate"/>
        <field name="firstApprovedByUser"/>
        <field name="secondDate"/>
        <field name="secondApprovedByUser"/>
        <field name="thirdApprovedByUser"/>
        <field name="thirdDate"/>
        <field name="fourthApprovedByUser"/>
        <field name="fourthtDate"/>
        <field name="artWorkFile"/>
        <field name="textColor"/>
        <field name="dimensions"/>
        <field name="varnishing"/>
        <field name="printingSupport"/>
        <field name="weight"/>
        <field name="diameter"/>
        <field name="nature"/>
        <field name="direction"/>
        <field name="languageSelect"/>
        <field name="installOrder"/>
        <field name="sequence"/>
        <field name="active"/>
        <field name="isRolesImported"/>
        <field name="demoDataLoaded"/>
        <field name="initDataLoaded"/>
        <field name="image"/>
        <field name="modules"/>
        <field name="description"/>
        <field name="code"/>
        <field name="name"/>
      </grid>
      


</object-views>